require 'fastlane/action'
require_relative '../helper/tool_open_finder_helper'

module Fastlane
  module Actions
    class ToolOpenFinderAction < Action
      def self.run(params)
        path = params[:path]
        
        system("open #{path}")

        Fastlane::Helper::ToolOpenFinderHelper.show_message
      end

      def self.description
        "tool"
      end

      def self.authors
        ["GJ"]
      end

      def self.return_value
        # If your method provides a return value, you can describe here what it does
      end

      def self.details
        # Optional:
        "tool"
      end

      def self.available_options
        [
          FastlaneCore::ConfigItem.new(key: :path,
                               description: "传入要打开的路径",
                                      type: String)
        ]
      end

      def self.is_supported?(platform)
        # Adjust this if your plugin only works for a particular platform (iOS vs. Android, for example)
        # See: https://docs.fastlane.tools/advanced/#control-configuration-by-lane-and-by-platform
        #
        # [:ios, :mac, :android].include?(platform)
        true
      end
    end
  end
end
